# $Revision: 1.66 $, $Date: 2011/03/20 21:30:49 $
Summary:	IPTraf is a console-based network monitoring program
Summary(es.UTF-8):	Herramienta para verificación de redes desde consolas
Summary(pl.UTF-8):	IPTraf służy do monitorowania sieci
Summary(pt_BR.UTF-8):	Ferramenta baseada no console para monitoração de rede
Summary(ru.UTF-8):	IPTraf - консольная программа мониторинга сетевого траффика
Summary(uk.UTF-8):	IPTraf - консольна програма моніторингу трафіку в мережі
Name:		iptraf
Version:	3.0.1
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	ftp://iptraf.seul.org/pub/iptraf/%{name}-%{version}.tar.gz
# Source0-md5:	004c2c005a1b78739e22bc49d33e244d
Patch0:		%{name}.patch
Patch1:		%{name}-iface.patch
Patch2:		%{name}-show_all_interfaces.patch
Patch3:		%{name}-strcpy-overlap-memory.patch
# from fc
Patch4:		iptraf-3.0.1-compile.fix.patch
Patch5:		iptraf-3.0.0-in_trafic.patch
Patch6:		iptraf-3.0.1-ipv6.patch
Patch7:		iptraf-3.0.1-ipv6-fix.patch
Patch8:		iptraf-3.0.1-servmon-fix.patch
URL:		http://iptraf.seul.org/
BuildRequires:	ncurses-ext-devel >= 5.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPTraf is a console-based network monitoring utility. IPTraf gathers
data like TCP connection packet and byte counts, interface statistics
and activity indicators, TCP/UDP traffic breakdowns, and LAN station
packet and byte counts. IPTraf features include an IP traffic monitor
which shows TCP flag information, packet and byte counts, ICMP
details, OSPF packet types, and oversized IP packet warnings;
interface statistics showing IP, TCP, UDP, ICMP, non-IP and other IP
packet counts, IP checksum errors, interface activity and packet size
counts; a TCP and UDP service monitor showing counts of incoming and
outgoing packets for common TCP and UDP application ports, a LAN
statistics module that discovers active hosts and displays statistics
about their activity; TCP, UDP and other protocol display filters so
you can view just the traffic you want; logging; support for Ethernet,
FDDI, ISDN, SLIP, PPP, and loopback interfaces; and utilization of the
built-in raw socket interface of the Linux kernel, so it can be used
on a wide variety of supported network cards.

%description -l es.UTF-8
Herramienta para verificación de redes desde consolas.

%description -l pl.UTF-8
IPTraf jest narzędziem służącym do monitorowania sieci. Posiada
kolorowy, prosty w obsłudze interfejs. Współpracuje z wieloma
protokołami sieciowymi. Obsługuje standardy : Ethernet i PPP/SLIP.

%description -l pt_BR.UTF-8
O IPTraf é uma ferramenta de monitoração baseada no modo console, para
o Linux que mostra informações sobre o tráfego IP.

%description -l ru.UTF-8
IPTraf - консольная программа мониторинга сетевого IP-траффика. Ее
можно использовать, среди прочего, для определения типа траффика в
вашей сети и того, какой вид сервиса самый используемый на каких
компьютерах. IPTraf работает с интерфейсами Ethernet и SLIP/PPP.

%description -l uk.UTF-8
IPTraf - консольна утиліта моніторингу IP-трафіку в мережі. Її можна
використовувати, поміж іншим, для визначення типу трафіку у вашій
мережі і того, який вид сервісу найбільш використовується на
конкретних комп'ютерах. IPTraf працює з інтерфейсами Ethernet та
SLIP/PPP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
cd src
%{__make} clean
%{__make} TARGET=%{_sbindir} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -DALLOWUSERS" \
	WORKDIR=/var/lib/iptraf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/var/{log/iptraf,lib/iptraf}

install src/{iptraf,rawtime,rvnamed} $RPM_BUILD_ROOT%{_sbindir}

install Documentation/{iptraf,rvnamed}.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES FAQ README* RELEASE*
%doc Documentation/*.{html,png}
%attr(755,root,root) %{_sbindir}/*
%attr(750,root,root) %dir /var/lib/iptraf
%attr(750,root,root) %dir /var/log/iptraf
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iptraf.spec,v $
Revision 1.66  2011/03/20 21:30:49  arekm
- rel 3; fixes from fc

Revision 1.65  2011/01/29 00:06:46  sparky
- dropped pre-cvs changelog

Revision 1.64  2010/06/28 11:53:50  arekm
- rel 2; fix strcpy over overlaping areas

Revision 1.63  2009/07/25 21:39:20  arekm
- up to 3.0.1

Revision 1.62  2008/03/15 20:38:54  dzeus
- rel. 4

Revision 1.61  2008-03-15 19:56:54  zbyniu
- force WORKDIR

Revision 1.60  2008-03-12 21:10:06  zbyniu
- proper set CFLAGS, don't check uid=0

Revision 1.59  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.58  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.57  2006/11/05 19:45:33  wolf
- rel 2
- add show_all_interfaces patch

Revision 1.56  2006/04/14 15:27:23  dzeus
- rel. 1

Revision 1.55  2006/04/11 06:22:01  dzeus
- updated iface.patch, more docs, not tested (vlan)

Revision 1.54  2006/04/10 06:43:08  dzeus
- started up to 3.0.0 (NFY)

Revision 1.53  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.52  2006/01/19 09:26:35  dzimi
- rel++;
- add Jakub Sochacki patch for ath interfaces;
- STBR;

Revision 1.51  2005/05/09 10:00:34  qboosh
- added llh patch

Revision 1.50  2004/08/18 21:32:49  undefine
- release 5

Revision 1.49  2004/07/04 11:51:51  areq
- BR ncurses-ext-devel

Revision 1.48  2003/10/30 08:26:32  jajcus
- Release: 4
- 802.1q VLAN support added (%{name}-vlan.patch)

Revision 1.47  2003/07/22 13:45:40  qwark
- as suggested on pld-devel list ncerses-ext is required by ncurses-devel, so we don't need it it BR; Required is added by rpm macros if neede, so we don't do it expicite

Revision 1.46  2003/07/19 11:28:49  qwark
- changed BR to R for ncurses-ext becouse of libpanel.so

Revision 1.45  2003/06/14 13:01:06  ankry
- md5

Revision 1.44  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.43  2003/03/02 11:43:07  adasi
 - rel. 3, STBR (tun patch)

Revision 1.42  2003/03/01 12:36:13  adasi
 - added patch for 'tun' interfaces

Revision 1.41  2002/07/29 09:52:00  orzech
- fixed problem with starting rvnamed
- release 2, STBR

Revision 1.40  2002/05/21 22:39:17  qboosh
- use new %%doc, updated file list (s/\.gif/.png/)

Revision 1.39  2002/05/19 19:57:05  baseciq
- Updated to iptraf-2.7.0 (bugfix release)
- fixed iptraf.patch
- STBR for test

Revision 1.38  2002/05/04 11:27:11  qboosh
- removed obsolete debian patch

Revision 1.37  2002/05/03 13:48:49  kloczek
- release 1 (semms work correctly),
- merge translations from KSI.

Revision 1.36  2002/05/02 23:51:40  baseciq
- updated to iptraf 2.6.1 (bugfix release)

Revision 1.35  2002/05/01 11:41:35  areq
- 2.6.0, STBR -> test
- update iptraf.patch
- hash debian.patch

Revision 1.34  2002/04/25 16:37:20  arturs
fixed a small typo

Revision 1.33  2002/04/22 21:03:34  kloczek
- relase 3,
- rebuild against fixed ncurses-devel,
- merge translations fron Conectiva.

Revision 1.32  2002/03/24 23:59:54  adasi
 - debian patch lil' bit modified (added tun support for vtun)
 - rel. 2, STBR

Revision 1.31  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/08/15 00:44:14  kloczek
- updated to 2.5.0.

Revision 1.28  2001/06/03 00:35:14  blues
- release 2
- added part of patch wvlan stolen from debian

Revision 1.27  2001/03/20 22:57:02  misiek
2.4.0

Revision 1.26  2000/11/14 05:02:07  kloczek
- updated to 2.3.1.

Revision 1.25  2000/11/06 16:03:54  kloczek
- updated to 2.3.0.

Revision 1.24  2000/10/12 02:23:57  kloczek
- release 2: use new rpm automation.

Revision 1.23  2000/07/18 23:50:25  kloczek
- updated to 2.2.2.

Revision 1.22  2000/07/13 23:11:04  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.21  2000/07/13 20:42:48  baggins
- release 2

Revision 1.20  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/23 17:20:45  kloczek
- updated to 2.2.1.

Revision 1.17  2000/05/21 01:39:51  kloczek
- spec adapterized.

Revision 1.16  2000/05/03 17:31:22  kloczek
- updated to 2.2.0,
- simplifications in %install.

Revision 1.15  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.14  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.12  2000/03/01 10:58:19  kloczek
- added "make clean" on top %build because in tar ball are binaries linked
  with libc.so.5 which are installed if "make clean" not performed.

Revision 1.11  2000/03/01 10:46:50  kloczek
- release 2,
- spec adapterized,
- added package icon.

Revision 1.10  1999/11/19 07:40:15  kloczek
- updated to 2.1.1,
- added BuildRequires rules,
- updated %doc files list.
- build against ncurses 5.0.

Revision 1.9  1999/08/22 20:13:39  waszi
small fixes

Revision 1.8  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.7  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
